Bug 526303 - Review Request: fped - A footprint editor used by openmoko developers
Summary: Review Request: fped - A footprint editor used by openmoko developers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 18:04 UTC by Chitlesh GOORAH
Modified: 2009-10-03 19:00 UTC (History)
4 users (show)

Fixed In Version: 0-0.1.r5664.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-03 18:58:53 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2009-09-29 18:04:21 UTC
Spec URL: http://chitlesh.fedorapeople.org/RPMS/fped.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/fped-0-1.r5664.fc11.src.rpm
Description:

fped is an editor that allows the interactive creation of footprints of
electronic components. Footprint definitions are stored in a text format
that resembles a programming language.

The language is constrained such that anything that can be expressed in
the textual definition also has a straightforward equivalent operation
that can be performed through the GUI.

Comment 1 Chitlesh GOORAH 2009-09-29 18:07:19 UTC
This package supports openmoko hardware development and helps those developers get a one click platform for their hardware design. Coupled with Fedora's kicad and this package, the openmoko developers can now work with

svn co https://svn.openmoko.org/trunk/gta02-core/
cd gta02-core/
make update
make sch

instead of this time consuming process
http://svn.openmoko.org/trunk/gta02-core/docs/GETTING-STARTED

Comment 2 Chitlesh GOORAH 2009-09-29 18:09:59 UTC
scratch build : https://koji.fedoraproject.org/scratch/chitlesh/task_1717189/

Simple Test : fped /usr/share/doc/fped-0/footprints/fbga.fpd

Documentation
firefox /usr/share/doc/fped-0/gui.html

Comment 3 Peter Lemenkov 2009-09-30 08:45:30 UTC
I'll review it shortly.

Comment 4 Peter Lemenkov 2009-09-30 12:09:04 UTC
Few notes:

* Since it is a svn snapshot, please add "0." to Relese. E.g. 

Release: 0.1.r5664%{?dist}

* Please, provide exact instructions on how to build Source0. E.g. something like this:

# svn export -r 5664 http://svn.openmoko.org/trunk/eda/fped fped-0
# tar cjf fped-0.tar.bz fped-0
Source0:        %{name}-%{version}.tar.bz2

Other things looks sane.

Comment 6 Peter Lemenkov 2009-09-30 12:46:49 UTC
Oh, another small note - since you're now using %{name}-${version}.tar.bz2 as the Source0, you don't need to add "-n %{name}" to "%setup -q". Please, remove it.

Assuming, that you'll do it, here is my 

REVIEW:

+ rpmlint is silent.
+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL. 

[petro@Sulaco BUILD]$ diff -ru fped fped-0/
[petro@Sulaco BUILD]$ 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
+ The package does NOT bundle copies of system libraries.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings. 
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
| Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in the packages are valid UTF-8.

APPROVED

(assuming, that you'll fix the %build section).

Comment 7 Chitlesh GOORAH 2009-09-30 13:00:46 UTC
Thanks Peter.

New Package CVS Request
=======================
Package Name: fped
Short Description: A footprint editor used by openmoko developers
Owners: chitlesh
Branches: F-10 F-11 F-12 EL-5

Comment 8 Kevin Fenzi 2009-09-30 23:46:18 UTC
cvs done.

Comment 9 Fedora Update System 2009-10-01 05:36:27 UTC
fped-0-0.1.r5664.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fped-0-0.1.r5664.fc10

Comment 10 Fedora Update System 2009-10-01 05:36:32 UTC
fped-0-0.1.r5664.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fped-0-0.1.r5664.fc11

Comment 11 Fedora Update System 2009-10-03 18:58:48 UTC
fped-0-0.1.r5664.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-10-03 19:00:10 UTC
fped-0-0.1.r5664.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.